aboutsummaryrefslogtreecommitdiff
path: root/jobs
diff options
context:
space:
mode:
authorMasaya Tojo <masaya@tojo.tokyo>2021-07-31 22:49:47 +0900
committerMasaya Tojo <masaya@tojo.tokyo>2021-07-31 22:49:47 +0900
commit3040e3a9e8c910a17e7d1fc0d3367cee2fcca3d2 (patch)
treee2694105252377dbcded36b80784249d4f06fb4a /jobs
parenta3519846778642ae7c275f09b736123744662c92 (diff)
Remvoe cfg directory.
Diffstat (limited to 'jobs')
-rwxr-xr-xjobs/acl2-theorems.before3
-rwxr-xr-xjobs/acl2-theorems.run5
-rw-r--r--jobs/acl2-verify.sh11
-rwxr-xr-xjobs/pull-cfg.run4
4 files changed, 23 insertions, 0 deletions
diff --git a/jobs/acl2-theorems.before b/jobs/acl2-theorems.before
new file mode 100755
index 0000000..da530b7
--- /dev/null
+++ b/jobs/acl2-theorems.before
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+guix environment --ad-hoc nss-certs git -- git clone https://git.tojo.tokyo/acl2-theorems.git .
diff --git a/jobs/acl2-theorems.run b/jobs/acl2-theorems.run
new file mode 100755
index 0000000..9df1723
--- /dev/null
+++ b/jobs/acl2-theorems.run
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+for path in $(find -type f -name '*.lisp'); do
+ laminarc run acl2-verify path="$path"
+done
diff --git a/jobs/acl2-verify.sh b/jobs/acl2-verify.sh
new file mode 100644
index 0000000..ea65156
--- /dev/null
+++ b/jobs/acl2-verify.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+echo "--- acl2 verify: $path ---"
+{
+ echo ':q'
+ echo '(setf sb-ext:*invoke-debugger-hook* (lambda (c h) (declare (ignore c h)) (format t "~%~a~%" "******** FAILED ********") (sb-ext:quit)))'
+ echo '(lp)'
+ cat "$path"
+} |\
+ guix environment --pure acl2 -- acl2 |\
+ awk '{ print } ; $0 == "******** FAILED ********" { exit 1 }'
diff --git a/jobs/pull-cfg.run b/jobs/pull-cfg.run
new file mode 100755
index 0000000..8ed93ff
--- /dev/null
+++ b/jobs/pull-cfg.run
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /var/lib/laminar/cfg
+git pull